Underlying transport protocol socket classes.(3)

NAME
Underlying transport protocol socket classes. -

  Classes

class RTPBaseUDPIPv4Socket
A UDP/IPv4 socket class targeted at RTP stacks.
class DualRTPChannel< BaseSocket >
class DualUDPIPv4Socket
A socket class based on two UDP/IPv4 sockets.

  Typedefs

typedef DualRTPChannel
< RTPBaseUDPIPv4Socket > DualRTPUDPIPv4Channel"
typedef RTPBaseUDPIPv4Socket SingleRTPChannel
May be used in applications where using the same socket for both sending and receiving is not a limitation.
typedef SingleRTPChannel SymmetricRTPChannel
Actually, RTP with a single channel can be called 'Symmetric RTP'.

Detailed Description

Typedef Documentation

  typedef DualRTPChannel<RTPBaseUDPIPv4Socket> DualRTPUDPIPv4Channel

  typedef RTPBaseUDPIPv4Socket SingleRTPChannel

May be used in applications where using the same socket for both sending and receiving is not a limitation.

  typedef SingleRTPChannel SymmetricRTPChannel

Actually, RTP with a single channel can be called 'Symmetric RTP'.

Author

Generated automatically by Doxygen for ccRTP from the source code.